> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dumplingai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get capability, provider, or endpoint details



## OpenAPI

````yaml /api-reference/openapi-v2.yaml post /api/v2/details
openapi: 3.0.3
info:
  title: DumplingAI Unified API
  version: 2.0.0
  description: >
    Transport reference for DumplingAI's Unified API under `/api/v2`.

    These endpoints cover search, details, execution, usage, and balance for
    capabilities, providers, and endpoints.
servers:
  - url: https://app.dumplingai.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Catalog
    description: Search and inspect capabilities and provider endpoints.
  - name: Execution
    description: Execute capabilities and provider endpoints.
  - name: Usage
    description: Inspect balance, usage, and transactions for a specific API key.
paths:
  /api/v2/details:
    post:
      tags:
        - Catalog
      summary: Get capability, provider, or endpoint details
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CatalogDetailsRequest'
      responses:
        '200':
          description: Catalog details
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown catalog item
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CatalogDetailsRequest:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - capability
            - provider
            - endpoint
        includeRelated:
          type: boolean
          description: >-
            Include related providers, endpoints, and capabilities in the
            response.
      required:
        - id
        - type
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        requestId:
          type: string
        error:
          type: string
        code:
          type: string
      required:
        - success
        - requestId
        - error
        - code
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````